Package com.sleepycat.persist.model

## Annotation Type Persistent

    @Documented
    @Retention(RUNTIME)
    @Target(TYPE)
    public @interface Persistent

Identifies a persistent class that is not an `Entity` class or a simple type.

### Optional Element Summary

Optional Elements
`java.lang.Class` `proxyFor` Specifies the class that is proxied by this `PersistentProxy` instance.
`int` `version` Identifies a new version of a class when an incompatible class change has been made.

### Element Detail

#### version

    int version

Identifies a new version of a class when an incompatible class change has been made.

Returns:
  the version.
See Also:
  `Entity.version()`

Default:
  0

#### proxyFor

    java.lang.Class proxyFor

Specifies the class that is proxied by this `PersistentProxy` instance.

Returns:
  the Class.
See Also:
  `PersistentProxy`

Default:
  void.class